"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable no-await-in-loop */
const path_1 = __importDefault(require("path"));
const fs_extra_1 = __importDefault(require("fs-extra"));
const docgen = ({ input, components, }) => __awaiter(void 0, void 0, void 0, function* () {
    const files = [];
    if (input) {
        const filename = path_1.default.resolve(process.cwd(), input);
        try {
            yield fs_extra_1.default.ensureFile(filename);
            files.push(filename);
        }
        catch (err) {
            return;
        }
    }
    else {
        // 读取组件列表
        // const templates = glob.sync(TEMPLATE_GLOB, { absolute: true });
        // if (components && components.length > 0) {
        //   const reg = new RegExp(components.join('|'));
        //   for (const template of templates) {
        //     if (reg.test(template)) {
        //       files.push(template);
        //     }
        //   }
        // } else {
        //   files.push(...templates);
        // }
    }
    console.log('input', input, files);
    // print.info('Start to generate document...');
    // for (const filename of files) {
    //   const dirname = path.dirname(filename);
    //   const result = fs.readFileSync(filename, 'utf8');
    //   let zhResult = getTemplate(result, 'zh');
    //   let enResult = getTemplate(result, 'en');
    //   // API占位符替换
    //   zhResult = await replacePlaceholderToDoc({
    //     dir: dirname,
    //     template: zhResult,
    //     placeholderMatchers: /%%API\((.+?)\)%%/g,
    //     parser: parseComponent,
    //     type: 'component',
    //     lang: 'zh',
    //   });
    //   enResult = await replacePlaceholderToDoc({
    //     dir: dirname,
    //     template: enResult,
    //     placeholderMatchers: /%%API\((.+?)\)%%/g,
    //     parser: parseComponent,
    //     type: 'component',
    //     lang: 'en',
    //   });
    //   // INTERFACE占位符替换
    //   zhResult = await replacePlaceholderToDoc({
    //     dir: dirname,
    //     template: zhResult,
    //     placeholderMatchers: /%%INTERFACE\((.+?)\)%%/g,
    //     parser: parseInterface,
    //     type: 'interface',
    //     lang: 'zh',
    //   });
    //   enResult = await replacePlaceholderToDoc({
    //     dir: dirname,
    //     template: enResult,
    //     placeholderMatchers: /%%INTERFACE\((.+?)\)%%/g,
    //     parser: parseInterface,
    //     type: 'interface',
    //     lang: 'en',
    //   });
    //   enResult = enResult.replace(
    //     /```yaml\n.+?```\n/s,
    //     (match) => `${match}\n*Auto translate by google.*\n`
    //   );
    //   zhResult = await parseMaterial(zhResult, {
    //     matcher: /%%MATERIAL\((.+?)\)%%/,
    //     dirname,
    //   });
    //   enResult = await parseMaterial(enResult, {
    //     matcher: /%%MATERIAL\((.+?)\)%%/,
    //     dirname,
    //   });
    //   try {
    //     const outputPath = input
    //       ? path.resolve(process.cwd(), MD_MATERIAL_README)
    //       : path.resolve(dirname, MD_TARGET);
    //     await fs.outputFile(outputPath, zhResult);
    //     const outputPath2 = input
    //       ? path.resolve(process.cwd(), MD_MATERIAL_README_EN)
    //       : path.resolve(dirname, MD_TARGET_EN);
    //     await fs.outputFile(outputPath2, enResult);
    //     if (!input) {
    //       const componentName = getComponentNameFormDir(dirname);
    //       print.success(
    //         `${chalk.black.bgGreen.bold(
    //           `Generate README of component ${componentName} Success!`
    //         )}`
    //       );
    //     }
    //   } catch (err) {
    //     print.error(err);
    //   }
    // }
});
exports.default = docgen;
//# sourceMappingURL=index.js.map